using SurgeEngine.Transform;
using SurgeEngine.Vector2;
using SurgeEngine.Actor;
using SurgeEngine.Video.Screen;

object "Dawn" is "entity", "detached", "awake", "private"
{
    actor = Actor("Dawn");
    public transform = Transform();
    fadeTime = 0.5;

    state "main"
    {
        actor.alpha = 0.5;
        actor.visible = true;
        state = "idle";
    }

    state "idle"
    {

    }

    state "fade away"
    {
        if(actor.alpha = 0.5) {
            actor.alpha -= Time.delta / fadeTime;
            actor.alpha = 0.0;
            state = "idle";
        }
    }

    fun get_fadeTime()
    {
        return fadeTime;
    }

    fun set_fadeTime(seconds)
    {
        fadeTime = Math.max(seconds, 0.001);
    }

    fun fade()
    {
        actor.alpha = 0.5;
        actor.visible = true;
        state = "fade away";
    }

    fun constructor()
    {
        actor.zindex = Math.infinity;
        actor.offset = Vector2(0, 0);
        actor.visible = false;
    }
}